﻿using LOLAPP.Modele;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace LOLAPP.DataContactPersistance
{
    public class DataContract : IPersistanceManager
    {
        public string FilePath2 {get; set;} = Path.Combine(Directory.GetCurrentDirectory(),"//Doss1_XML");
        public string FileName { get; set; } = "Test2.xml";
        public string FilePath { get; set; } = "C\\Users\\cecharbonn5\\SAE#\\LOLAPP.XML";
        public (List<Strategie>, List<Champion>) Chargdon()
        {
            var serializer = new DataContractSerializer(typeof(List<Strategie>));

            List<Strategie> list;

            using(Stream s = File.OpenRead(Path.Combine(FilePath, FileName))) 
            { 
                list = serializer.ReadObject(s) as List<Strategie>;
            }
            return (new List<Strategie>(), list);
        }

        public void Sauvdon(List<Strategie> s, List<Champion> c)
        {
            var serializer = new DataContractSerializer(typeof(List<Strategie>));
            if (!Directory.Exists(FilePath))
            {
                Debug.WriteLine("Directory crée à l'instant");
                Debug.WriteLine(Directory.GetDirectoryRoot);
                Debug.WriteLine(FilePath);
                Directory.CreateDirectory(FilePath);
            }

            using (Stream st = File.Create(Path.Combine(FilePath,FileName)))
            {
                serializer.WriteObject(st, c);
            }
        }
    }
}
